# VikingsDoSwim

"A simple mod that lets you configure Max Swim Speed at max swim skill level. Scales your swim speed, stamina regen and stamina consumption to your swim skill level. Adds a new diving mechanic that lets you swim underwater."

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.
(NOTE: Delete \configs\blacks7ar.VikingsDoSwim.cfg to generate a new config for v1.0.5)

## Features

- Configurable exp multiplier for swim skill.
- Idle stamina regen base on swim skill.
- Swim speed scaled by swim level.
- Configurable Max Swim Speed at Max Skill Level.
- Diving mechanic that lets you swim underwater.
- Uses ServerSync to sync configs from servers to clients.
- Uses built in config watcher.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

## How to dive?
- While swimming in the water press crouch/sneak key ( left control ) together with forward direction key ( W ) then use mouse to navigate to the direction you want to go.
- ( W + Left Control ) + Mouse.
- While holding W + Left Control you can dive down or up using mouse to navigate.
- If you release Left Control you can swim normally using direction keys ( W A S D ) but you can't dive down or up.
- Diving also uses your stamina so better prepare foods with lots of stamina or stamina potion.
- If you run out of stamina while underwater you'll take damage normally until your hp goes down and you'll die.
- If you run out of stamina or you just want to go back up quickly you can press jump key ( Space ).
- While idle in the water your stamina will naturally regen.

## Changelog

v1.0.8<br/>
- added config option for dive and ascend key<br/>
<br/>
v1.0.7<br/>
- fixed errors on dedicated servers running on linux<br/>
<br/>
v1.0.6<br/>
- fixed bug that makes your char float in the air after coming out of diving.<br/>
- added DOF effect when underwater.<br/>
<br/>
v1.0.5<br/>
- Added Config Watcher<br/>
- Added new Diving Mechanic<br/>
<br/>
v1.0.1<br/>
- added max swim speed configuration<br/>
- fix stamina bug when mod is off<br/>
<br/>
v1.0.0 first release

